Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum AppearanceCharacteristics.IconFitObject.ScaleTypeEnum

    java.lang.Object
      java.lang.Enum<AppearanceCharacteristics.IconFitObject.ScaleTypeEnum>
          org.pdfclown.documents.interaction.annotations.AppearanceCharacteristics.IconFitObject.ScaleTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<AppearanceCharacteristics.IconFitObject.ScaleTypeEnum>

Enclosing class:
  AppearanceCharacteristics.IconFitObject

    public static enum AppearanceCharacteristics.IconFitObject.ScaleTypeEnum

extends Enum<AppearanceCharacteristics.IconFitObject.ScaleTypeEnum>

Scaling type [PDF:1.6:8.6.6].

Enum Constant Summary
`Anamorphic` Scale the icon to fill the annotation box exactly, without regard to its original aspect ratio.
`Proportional` Scale the icon to fit the width or height of the annotation box, while maintaining the icon's original aspect ratio.

Method Summary
`static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum` | `get(PdfName value)` Gets the scaling type corresponding to the given value.
`PdfName` | `getCode()`
`static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Anamorphic

    public static final AppearanceCharacteristics.IconFitObject.ScaleTypeEnum Anamorphic

  Scale the icon to fill the annotation box exactly, without regard to its original aspect ratio.

### Proportional

    public static final AppearanceCharacteristics.IconFitObject.ScaleTypeEnum Proportional

  Scale the icon to fit the width or height of the annotation box, while maintaining the icon's original aspect ratio.

Method Detail

### values

    public static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AppearanceCharacteristics.IconFitObject.ScaleTypeEnum c : AppearanceCharacteristics.IconFitObject.ScaleTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static AppearanceCharacteristics.IconFitObject.ScaleTypeEnum get(PdfName value)

  Gets the scaling type corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.